import request from '@/utils/request'
import store from '@/store'

const BASE_URL = store.getters.request_config_baseUrl;

// 获取设备档案列表
export function deviceArchivesList(data) {
    return request({
        url: BASE_URL + '/3rd/deviceArchives/ArchivesList',
        method: 'get',
        params: data
    })
}

// 过滤搜索设备档案
export function ArchivesListFilter(data) {
    return request({
        url: BASE_URL + '/3rd/deviceArchives/ArchivesListFilter',
        method: 'get',
        params: data
    })
}

// 查询设备详情
export function ArchivesListById(data) {
    return request({
        url: BASE_URL + '/3rd/deviceArchives/ArchivesListById',
        method: 'get',
        params: data
    })
}

// 添加养护、润滑记录
export function saveDeviceRecord(data) {
    return request({
        url: BASE_URL + '/3rd/deviceArchives/saveDeviceRecord',
        method: 'post',
        params: data
    })
}